{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "arguments": [
                "sqlite3",
                "$(inputs.db)",
                "$('select json_object(\\'parse_string\\', parse_string) from current where title=\"' + inputs.current_title + '\";')",
                ".exit"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#gk--get-current-parse-string.cwl/current_title"
                },
                {
                    "type": "File",
                    "id": "#gk--get-current-parse-string.cwl/db"
                }
            ],
            "stdout": "cwl.output.json",
            "id": "#gk--get-current-parse-string.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#gk--get-current-parse-string.cwl/parse_string"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "arguments": [
                "sqlite3",
                "$(inputs.db)",
                "$('insert into result (current_title,step,sp_x,sp_y,sp_z) values (' + '\"' + inputs.current_title + '\",' + inputs.step + ',' + inputs.values[0] + ',' + inputs.values[1] + ',' + inputs.values[2] + ');')",
                ".exit"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#gk--push-db-result.cwl/current_title"
                },
                {
                    "type": "File",
                    "id": "#gk--push-db-result.cwl/db"
                },
                {
                    "type": "int",
                    "id": "#gk--push-db-result.cwl/step"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "double"
                    },
                    "id": "#gk--push-db-result.cwl/values"
                }
            ],
            "outputs": [],
            "id": "#gk--push-db-result.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#gk-parse-current.cwl/current_title"
                },
                {
                    "type": "File",
                    "id": "#gk-parse-current.cwl/db"
                },
                {
                    "type": "File",
                    "id": "#gk-parse-current.cwl/output_file"
                }
            ],
            "steps": [
                {
                    "run": "#gk--get-current-parse-string.cwl",
                    "in": [
                        {
                            "source": "#gk-parse-current.cwl/current_title",
                            "id": "#gk-parse-current.cwl/get_parse_string/current_title"
                        },
                        {
                            "source": "#gk-parse-current.cwl/db",
                            "id": "#gk-parse-current.cwl/get_parse_string/db"
                        }
                    ],
                    "out": [
                        "#gk-parse-current.cwl/get_parse_string/parse_string"
                    ],
                    "id": "#gk-parse-current.cwl/get_parse_string"
                },
                {
                    "run": "#parse-vector234.cwl",
                    "in": [
                        {
                            "source": "#gk-parse-current.cwl/output_file",
                            "id": "#gk-parse-current.cwl/parse_current_vector/in_file"
                        },
                        {
                            "source": "#gk-parse-current.cwl/get_parse_string/parse_string",
                            "id": "#gk-parse-current.cwl/parse_current_vector/parse_string"
                        }
                    ],
                    "out": [
                        "#gk-parse-current.cwl/parse_current_vector/out_vector"
                    ],
                    "id": "#gk-parse-current.cwl/parse_current_vector"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "double"
                    },
                    "outputSource": "#gk-parse-current.cwl/parse_current_vector/out_vector",
                    "id": "#gk-parse-current.cwl/out_vector"
                }
            ],
            "id": "#gk-parse-current.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/current_title"
                },
                {
                    "type": "File",
                    "id": "#main/db"
                },
                {
                    "type": "File",
                    "id": "#main/output_file"
                },
                {
                    "type": "int",
                    "id": "#main/step"
                }
            ],
            "steps": [
                {
                    "run": "#gk-parse-current.cwl",
                    "in": [
                        {
                            "source": "#main/current_title",
                            "id": "#main/parse_current/current_title"
                        },
                        {
                            "source": "#main/db",
                            "id": "#main/parse_current/db"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/parse_current/output_file"
                        }
                    ],
                    "out": [
                        "#main/parse_current/out_vector"
                    ],
                    "id": "#main/parse_current"
                },
                {
                    "run": "#gk--push-db-result.cwl",
                    "in": [
                        {
                            "source": "#main/current_title",
                            "id": "#main/store_current/current_title"
                        },
                        {
                            "source": "#main/db",
                            "id": "#main/store_current/db"
                        },
                        {
                            "source": "#main/step",
                            "id": "#main/store_current/step"
                        },
                        {
                            "source": "#main/parse_current/out_vector",
                            "id": "#main/store_current/values"
                        }
                    ],
                    "out": [],
                    "id": "#main/store_current"
                }
            ],
            "outputs": [],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "arguments": [
                "grep",
                "$(inputs.parse_string)",
                "$(inputs.in_file)",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "awk",
                "{print $2, $3, $4}",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "jq",
                "-s",
                "{out_vector: .}"
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#parse-vector234.cwl/in_file"
                },
                {
                    "type": "string",
                    "id": "#parse-vector234.cwl/parse_string"
                }
            ],
            "stdout": "cwl.output.json",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "double"
                    },
                    "id": "#parse-vector234.cwl/out_vector"
                }
            ],
            "id": "#parse-vector234.cwl"
        }
    ],
    "cwlVersion": "v1.2"
}
